@import url('https://fonts.googleapis.com/css2?family=Orbitron&display=swap');

body {
    margin: 0;
    padding: 0;
    background-color: rgb(21, 19, 19);
    color: white;
}

.title {
    text-align: center;
    color: white;
    text-shadow: 1px 1px 6px white;

}

.graph {
    display: flex;
    width: 99%;
    height: 30vh;
    /* background-color: rgb(234, 226, 218); */
    position: relative;
    border-bottom: 1px solid;
    border-top: 1px solid;
    overflow: hidden;
    align-items: end;
    padding: 0;
}

.bar {
    margin: 0;
    padding: 0;
    width: 1px;
    color: green;
    height: 10px;
    background-color: green;
}

.buttons {
    display: flex;
    justify-content: space-between;
}

.button {
    background-color: brown;
    /* width: ; */
    color: white;
    font-weight: 500;
    font-size: x-large;
    border-radius: 1rem;
    /* height: 3vh; */
    padding: 0.5rem;
    text-align: center;
    margin: 2vh;
    cursor: pointer;
}

.button:hover {
    color: white;
    background-color: red;
}

.button:active {
    color: white;
    background-color: red;
}

footer {
    position: fixed;
    background-color: rgb(30, 28, 28);
    border-top: 1px solid;

    bottom: 0;
    width: 100%;
    text-align: center;
}

footer a {
    font-size: large;
    font-weight: 500;
    text-decoration: none;
    color: white;
    margin-top: 1px;
    height: 1vh;
}

footer a:hover {
    color: blue;
}

.speed {
    display: flex;
    width: 100%;
    justify-content: center;
    position: relative;
}

.speed__wheel {
    position: absolute;
    width: 300px;
    height: 300px;
    border-radius: 50%;
    background-color: #000;
    clip-path: polygon(-2% -2%, 102% -2%, 102% 80%, -2% 80%);
    box-shadow: 1px 1px 3px 3px rgba(0, 0, 255, 0.508);
}

.speed__tick {
    display: flex;
    gap: 1px;
}

.tick {
    transform-origin: bottom;
    position: absolute;
    background: linear-gradient(to top, transparent 90%, red 90%);
    height: 140px;
    width: 2px;
    top: 10px;
    left: 50%;
}


.pointer {
    position: relative;
    background: rgba(222, 222, 3, 0.884);
    height: 190px;
    width: 20px;
    left: 140px;
    top: 3px;
    clip-path: polygon(9px 10px, 11px 10px, 20px 150px, 10px 190px, 0 150px);
    transform-origin: 10px 145px;
    transform: rotate(-125deg);
}

.pointer::before {
    content: '';
    position: absolute;
    width: 10px;
    height: 10px;
    background: gray;
    top: 140px;
    left: 5px;
    border-radius: 50%;
}

.digital {
    display: flex;
    justify-content: center;
    font-family: 'Orbitron', sans-serif;
    color: #ddff00;
}
.alert_box{
    display: flex;
    justify-content: center;
}
.alert{
    background-color: green;
    text-align: center;
    min-width: 40%;
}